import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { NzModalRef } from 'ng-zorro-antd';
import { DEF } from '../../../../../api';
export declare class IdentityRoleLocalRolesUpdateComponent implements OnInit {
    private nzModalRef;
    record: DEF.Iwms.RolePermissions & {
        warehouse: string;
    };
    saving: boolean;
    formGroup: FormGroup;
    constructor(nzModalRef: NzModalRef);
    ngOnInit(): void;
    handleOk(): void;
    handleCancel(): void;
}
